org.apache.lucene.analysis

## Class NumericTokenStream.NumericTermAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.NumericTokenStream.NumericTermAttributeImpl

- All Implemented Interfaces:
    Cloneable, NumericTokenStream.NumericTermAttribute, TermToBytesRefAttribute, Attribute
  Enclosing class:
    NumericTokenStream

      public static final class NumericTokenStream.NumericTermAttributeImpl
      extends AttributeImpl
      implements NumericTokenStream.NumericTermAttribute, TermToBytesRefAttribute

  Implementation of `NumericTokenStream.NumericTermAttribute`.
  Since:
    4.0
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumericTokenStream.NumericTermAttributeImpl()` Creates, but does not yet initialize this attribute instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
    `NumericTokenStream.NumericTermAttributeImpl` | `clone()` In most cases the clone is, and should be, deep in order to be able to properly capture the state of all attributes.
    `void` | `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
    `boolean` | `equals(Object obj)`
    `BytesRef` | `getBytesRef()` Retrieve this attribute's BytesRef.
    `long` | `getRawValue()` Returns current token's raw value as `long` with all `NumericTokenStream.NumericTermAttribute.getShift()` applied, undefined before first token
    `int` | `getShift()` Returns current shift value, undefined before first token
    `int` | `getValueSize()` Returns value size in bits (32 for `float`, `int`; 64 for `double`, `long`)
    `int` | `hashCode()`
    `int` | `incShift()` Don't call this method!
    `void` | `init(long value, int valueSize, int precisionStep, int shift)` Don't call this method!
    `void` | `reflectWith(AttributeReflector reflector)` This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.
    `void` | `setShift(int shift)` Don't call this method!

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `end, reflectAsString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumericTokenStream.NumericTermAttributeImpl

          public NumericTokenStream.NumericTermAttributeImpl()

      Creates, but does not yet initialize this attribute instance
      See Also:
        `init(long, int, int, int)`

  - ### Method Detail

    - #### getBytesRef

          public BytesRef getBytesRef()

      Description copied from interface: `TermToBytesRefAttribute`
      Retrieve this attribute's BytesRef. The bytes are updated from the current term. The implementation may return a new instance or keep the previous one.
      Specified by:
        `getBytesRef` in interface `TermToBytesRefAttribute`
      Returns:
        a BytesRef to be indexed (only stays valid until token stream gets incremented)

    - #### getShift

          public int getShift()

      Description copied from interface: `NumericTokenStream.NumericTermAttribute`
      Returns current shift value, undefined before first token
      Specified by:
        `getShift` in interface `NumericTokenStream.NumericTermAttribute`

    - #### setShift

          public void setShift(int shift)

      Description copied from interface: `NumericTokenStream.NumericTermAttribute`
      Don't call this method!
      Specified by:
        `setShift` in interface `NumericTokenStream.NumericTermAttribute`

    - #### incShift

          public int incShift()

      Description copied from interface: `NumericTokenStream.NumericTermAttribute`
      Don't call this method!
      Specified by:
        `incShift` in interface `NumericTokenStream.NumericTermAttribute`

    - #### getRawValue

          public long getRawValue()

      Description copied from interface: `NumericTokenStream.NumericTermAttribute`
      Returns current token's raw value as `long` with all `NumericTokenStream.NumericTermAttribute.getShift()` applied, undefined before first token
      Specified by:
        `getRawValue` in interface `NumericTokenStream.NumericTermAttribute`

    - #### getValueSize

          public int getValueSize()

      Description copied from interface: `NumericTokenStream.NumericTermAttribute`
      Returns value size in bits (32 for `float`, `int`; 64 for `double`, `long`)
      Specified by:
        `getValueSize` in interface `NumericTokenStream.NumericTermAttribute`

    - #### init

          public void init(long value,
                  int valueSize,
                  int precisionStep,
                  int shift)

      Description copied from interface: `NumericTokenStream.NumericTermAttribute`
      Don't call this method!
      Specified by:
        `init` in interface `NumericTokenStream.NumericTermAttribute`

    - #### clear

          public void clear()

      Description copied from class: `AttributeImpl`
      Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.
      Specified by:
        `clear` in class `AttributeImpl`

    - #### reflectWith

          public void reflectWith(AttributeReflector reflector)

      Description copied from class: `AttributeImpl`
      This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.

      Implementations look like this (e.g. for a combined attribute implementation):

             public void reflectWith(AttributeReflector reflector) {
               reflector.reflect(CharTermAttribute.class, "term", term());
               reflector.reflect(PositionIncrementAttribute.class, "positionIncrement", getPositionIncrement());
             }

      If you implement this method, make sure that for each invocation, the same set of `Attribute` interfaces and keys are passed to `AttributeReflector.reflect(java.lang.Class<? extends org.apache.lucene.util.Attribute>, java.lang.String, java.lang.Object)` in the same order, but possibly different values. So don't automatically exclude e.g. `null` properties!

      Important for migration to Lucene 6: The default implementation is implemented for backwards compatibility in Lucene 5 and calls `AttributeReflector.reflect(java.lang.Class<? extends org.apache.lucene.util.Attribute>, java.lang.String, java.lang.Object)` for all non-static fields from the implementing class, using the field name as key and the field value as value. The Attribute class is also determined by reflection. Please note that the default implementation can only handle single-Attribute implementations.

      Please don't use the default implementation anymore, because it will be made abstract in Lucene 6! See above for implementation example.

      Overrides:
        `reflectWith` in class `AttributeImpl`
      See Also:
        `AttributeImpl.reflectAsString(boolean)`

    - #### copyTo

          public void copyTo(AttributeImpl target)

      Description copied from class: `AttributeImpl`
      Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.
      Specified by:
        `copyTo` in class `AttributeImpl`

    - #### clone

          public NumericTokenStream.NumericTermAttributeImpl clone()

      Description copied from class: `AttributeImpl`
      In most cases the clone is, and should be, deep in order to be able to properly capture the state of all attributes.
      Overrides:
        `clone` in class `AttributeImpl`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.